Subject: Re: [PATCHv3] git-tag man: when to use lightweight or annotated tags

From: Stefan Beller <[email-masked]>
Date: Sat, 27 Jul 2013 13:45:21 +0200

On 07/27/2013 01:26 PM, Philip Oakley wrote:

> Try 'git format-patch' and 'git send-email'. The format-patch man page
> even has a note about Thunderbird corruptions.
> 
> Philip
> 

Well I use Thunderbird as well for regular communication except for
sending patches. 
The kernel documentation has also some words about Thunderbird
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/tree/Documentation/email-clients.txt

Given so many steps, I also configured git send-email, which makes
sure that patches are uncorrupted. 
For gmail add these lines to your ~/.gitconfig

[sendemail]
        from = Your Name <[email-masked]>
        smtpserver = /usr/bin/msmtp
        smtpuser = emailaddress
        smtpencryption = tls
        chainreplyto = false
        confirm = auto

Then you'd need to have msmtp installed and have the following
in the file ~/.msmtprc

# Example for a user configuration file
# Set default values for all following accounts.
defaults
tls on
tls_trust_file /usr/share/ncat/ca-bundle.crt
logfile ~/.msmtp.log
# My email service
account gmail
host smtp.gmail.com
port 587
from [email-masked]
auth on
user [email-masked]
password mysecret
account default : gmail

I think it would also work without having git relying on msmtp by now,
but I'd be too lazy to change my existing working setup.

Stefan